## dicom3tools 1.00~20171209092658

=== Makefile ===
all:
	@echo "Didn't read the INSTALL instructions, eh ?"
	@echo
	@echo "       1. ./Configure"
	@echo "       2. imake -I./config"
	@echo "       3. make World"
	@echo

install: all

config: all

configure: all

depend: all

World: all

clean: all

## dicom3tools 1.0~20111109

=== debian/changelog ===
dicom3tools (1.0~20111109-1) unstable; urgency=low

  * New upstream
  * Switch to dpkg-source 3.0 (quilt) format
  * Add hardening compilation flags

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Fri, 11 Nov 2011 16:49:07 +0100

dicom3tools (1.0~20110918-1) unstable; urgency=low

  * New upstream
    - Mostly private attributes fixes

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Fri, 23 Sep 2011 08:33:19 +0200

dicom3tools (1.0~20110901-1) unstable; urgency=low

  * New upstream
  * Fix lintian debian-rules-missing-recommended-target

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Sat, 03 Sep 2011 17:39:25 +0200

dicom3tools (1.0~20110529-1) unstable; urgency=low

  * New upstream
  * Allow new executable: pnmtoraw

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Fri, 17 Jun 2011 12:10:34 +0200

dicom3tools (1.0~20110522-1) unstable; urgency=low

  * New upstream
  * Update Standards-Version to 3.9.2. No changes needed
  * Properly handle uncompressed icon. Closes: #625816

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Sat, 28 May 2011 17:55:51 +0200

dicom3tools (1.0~20110207-1) unstable; urgency=low

  * New upstream
  * Fix dctopgm8 and MONOCHROME1 windowing
  * Add cmd line opt for dctopgm8 (override VOI LUT)
  * Add suggest on pvrg-jpeg
  * Use --no-name when compressing orig tarball

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Wed, 20 Apr 2011 11:35:51 +0200

dicom3tools (1.0~20101204-1) experimental; urgency=low

  * New upsteam
  * Add new command line tools: dctopgm8, dcposn, dctopgx, dctopnm
  * Bump Standard-Version to 3.9.1, no change needed

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Thu, 13 Jan 2011 09:11:20 +0100

dicom3tools (1.0~20100510-1) unstable; urgency=low

  * New upstream (fix pnmtodc for odd length)

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Tue, 11 May 2010 11:39:07 +0200

dicom3tools (1.0~20100206-2) unstable; urgency=low

  * Add jpegdump command line tool for dumping jpeg structure.

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Mon, 03 May 2010 17:50:53 +0200

dicom3tools (1.0~20100206-1) unstable; urgency=low

  * New upstream.
  * Bump Standard-Version to 3.8.4, no change needed

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Thu, 25 Feb 2010 09:49:28 +0100

dicom3tools (1.0~20091217-1) unstable; urgency=low

  * Fix DEB_BUILD_OPTIONS=nostrip discarded (Closes: #559320)
  * dciodvfy: Allow RGB for RLE. Closes: #561122 

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Sun, 27 Dec 2009 15:06:08 +0100

dicom3tools (1.0~20091113-1) unstable; urgency=low

  * New upstream.
  * Add new utilities: dcdirdmp, dcsrdump
  * Remove static libraries

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Fri, 20 Nov 2009 14:44:50 +0100

dicom3tools (1.0~20090716-4) unstable; urgency=low

  * Fix compilation on hurd-i386 

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Fri, 11 Sep 2009 09:25:13 +0200

dicom3tools (1.0~20090716-3) unstable; urgency=low

  * debian/control: adding dep to x11proto-xext-dev, find X11/extensions/XShm.h
  * Fix compilation on kFreeBSD (Closes: #545844) 

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Wed, 09 Sep 2009 18:27:23 +0200

dicom3tools (1.0~20090716-2) unstable; urgency=low

  * debian/control: adding dep to libx11-dev, to find X11/Xlib.h 
  * Fix compilation on buildd machine with no tty (Closes: #545697) 

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Tue, 08 Sep 2009 16:44:03 +0200

dicom3tools (1.0~20090716-1) unstable; urgency=low

  * Initial Release (Closes: #508901)

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Sun, 09 Aug 2009 10:39:39 +0200

=== debian/control ===
Source: dicom3tools
Section: graphics
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Mathieu Malaterre <mathieu.malaterre@gmail.com>
Priority: extra
Build-Depends: debhelper (>= 8), xutils-dev, libx11-dev, libxext-dev
Standards-Version: 3.9.2
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/dicom3tools/trunk/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/dicom3tools/trunk/
Homepage: http://www.dclunie.com/dicom3tools.html

Package: dicom3tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: dcmtk, libgdcm-tools, pvrg-jpeg
Description: DICOM medical image files manipulation and conversion tools
 Command line utilities for creating, modifying, dumping and validating
 files of DICOM attributes. Support conversion of some proprietary medical
 image formats to DICOM. Can handle older ACR/NEMA format data, and some
 proprietary versions of that such as SPI.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

VER_MAJOR = 1
VER_MINOR = 0
VER_PATCH = $(shell dpkg-parsechangelog | grep '^Version' | cut -d' ' -f2 | cut -f1 -d- | cut -f2 -d~)
UPSTREAM_SRC = dicom3tools_1.00.snapshot.$(VER_PATCH)

VER_FULL = $(VER_MAJOR).$(VER_MINOR)~$(VER_PATCH)
DEBIAN_SRC_DIR = dicom3tools-$(VER_FULL)
DEBIAN_SRC_TAR = dicom3tools_$(VER_FULL).orig.tar.gz

ifneq (,$(findstring regression_testing_dicom,$(MM_BUILD_OPTIONS)))
DCLIST = -name andump\* -o -name dccp\* -o -name dcintro\* -o -name rawtodc\* -o -name pdftodc\* -o -name rawnjl2\* -o -name ancreate\* -o -name dcencap\* -o -name dccp\* -o -name dctoraw\* -o -name dcjpeg\* -o -name dcmulti\* -o -name dcuncat\* -o -name pnmtodc\* -o -name dcjls\* -o -name dcj2k\* -o -name dcunjpeg\* -o -name dcunjls\* -o -name bmpdump\* -o -name jpegdump\* -o -name dcdirdmp\* -o -name dcdump\* -o -name dcentvfy\* -o -name dcfile\* -o -name dchist\* -o -name dciodvfy\* -o -name dckey\* -o -name dcsort\* -o -name dcsrdump\* -o -name dcstats\* -o -name dctable\* -o -name dctopgm8\* -o -name dcposn\* -o -name dctopgx\* -o -name dctopnm\* -o -name pgxtodc\* -o -name pnmtodc\* -o -name rawftodc\* -o -name rawtodc\*
ifneq (,$(filter default_uid_root=%,$(MM_BUILD_OPTIONS)))
DEFAULTUIDROOT = $(patsubst default_uid_root=%,%,$(filter default_uid_root=%,$(MM_BUILD_OPTIONS)))
IMAKEFLAGS = -DDefaultUIDRoot=$(DEFAULTUIDROOT)
endif
else
DCLIST = -name andump\* -o -name jpegdump\* -o -name dcdirdmp\* -o -name dcdump\* -o -name dcentvfy\* -o -name dcfile\* -o -name dchist\* -o -name dciodvfy\* -o -name dckey\* -o -name dcsort\* -o -name dcsrdump\* -o -name dcstats\* -o -name dctable\* -o -name dctopgm8\* -o -name dcposn\* -o -name dctopgx\* -o -name dctopnm\*
endif

configure: configure-stamp
configure-stamp: $(QUILT_STAMPFN)
	dh_testdir
	# http://www.gnu.org/manual/gawk/html_node/Special-FD.html
	find . -name \*.awk -exec sed -i -e 's@/dev/tty@/dev/stderr@g' {} \;
	# Add here commands to configure the package.
	sh Configure
	imake -I./config -DTmpPath=/tmp -DOptimizeLevel=$(OPT_FLAGS) $(IMAKEFLAGS)
	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp
	dh_testdir
	# Add here commands to compile the package.
	$(MAKE) World "C_DEBUGFLAGS=$(CFLAGS)" "CPLUSPLUS_DEBUGFLAGS=$(CFLAGS)"
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	[ ! -f Makefile ] || $(MAKE) clean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	#dh_clean -k 
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/dicom3tools.
	# install everything
	$(MAKE) DESTDIR=$(CURDIR)/debian/dicom3tools install
	# install man pages:
	$(MAKE) DESTDIR=$(CURDIR)/debian/dicom3tools install.man
	# remove empty man page
	find $(CURDIR)/debian/dicom3tools -type f -size 0 -print | xargs rm
	# now that we have removed empty man page, we need to remove associated binaries
	for file in ancp andiff antodc.all binpatch dcanon dcburn dccmp dccomb dcdecmpr dcdiff dclutburn \
							dclutmix dcmvhier.8only dcmvhier.all dcortho dcostosr dcpost dcproj dcrmsfx.all \
							dcsrmrg dcsub dcswab dcunjpeg.all dumptiff dumpwhat gentodc.dat.all \
							jpegsplit pbmswbit pgmtobmp pnmpred pqsplit rawarith rawdiff rawmask; do \
		find $(CURDIR)/debian/dicom3tools -type f -name $$file\* -print | xargs rm; \
	done
	# Move the special .so (groff source file to /usr/share/dicom3tools to please lintian
	mkdir -p $(CURDIR)/debian/dicom3tools/usr/share/dicom3tools
	mv $(CURDIR)/debian/dicom3tools/usr/share/man/man1/*.so $(CURDIR)/debian/dicom3tools/usr/share/dicom3tools
	# Let's use the new file location:
	find $(CURDIR)/debian/dicom3tools/usr/share/man/man1 -type f -exec sed -i -e 's@.so man1@.so ../dicom3tools@g' {} \;
	# Cannot start a line with a . (it is a macro)
	# http://www.mail-archive.com/groff@gnu.org/msg04712.html
	find $(CURDIR)/debian/dicom3tools/usr/share/man/man1 -type f -exec sed -i -e 's/^\.\.\.$$/\\\&\.\.\./g' {} \;
	#  a newline character is not allowed in an escape name / a space character is not allowed in an escape name
	find $(CURDIR)/debian/dicom3tools/usr/share/man/man1 -type f -exec sed -i -e 's/\\n/\\/g' {} \;
	# hyphen-used-as-minus-sign
	#find $(CURDIR)/debian/dicom3tools/usr/share/man/man1 -type f -exec sed -i -e 's/-/\\-/g' {} \;
	# Can't use above -> manpage-has-bad-whatis-entry
	# Remove (except special list from official upstream releases) :
	find $(CURDIR)/debian/dicom3tools/usr/bin -type f -not \( $(DCLIST) \) -print | xargs rm;
	find $(CURDIR)/debian/dicom3tools/usr/share/man -type f -not \( $(DCLIST) \) -print | xargs rm;
	# Remove all static lib
	rm -rf $(CURDIR)/debian/dicom3tools/usr/lib

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

build-arch: build
build-indep: build

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGES
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

$(UPSTREAM_SRC).tar.bz2:
	wget http://www.dclunie.com/dicom3tools/workinprogress/$@

get-orig-source: $(UPSTREAM_SRC).tar.bz2
	tar xjf $(UPSTREAM_SRC).tar.bz2
	mv $(UPSTREAM_SRC) $(DEBIAN_SRC_DIR)
	GZIP="--best --no-name" tar czf $(DEBIAN_SRC_TAR) $(DEBIAN_SRC_DIR)
	rm -rf $(DEBIAN_SRC_DIR)

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3

opts="uversionmangle=s/.00.snapshot./.0~/" \
http://www.dclunie.com/dicom3tools/workinprogress dicom3tools_(.*)\.tar\.bz2

## dicom3tools 1.0~20111213

=== debian/changelog ===
dicom3tools (1.0~20111213-1) unstable; urgency=low

  * New upstream
   - Improve human vs animal view position conditions
  * Fix VCS urls

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Fri, 16 Dec 2011 11:50:18 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Priority: extra
 Build-Depends: debhelper (>= 8), xutils-dev, libx11-dev, libxext-dev
 Standards-Version: 3.9.2
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/dicom3tools/trunk/?rev=0&sc=0
-Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/dicom3tools/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/dicom3tools/trunk/
+Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/dicom3tools/trunk/
 Homepage: http://www.dclunie.com/dicom3tools.html
 
 Package: dicom3tools

## dicom3tools 1.0~20120224

=== debian/changelog ===
dicom3tools (1.0~20120224-1) unstable; urgency=low

  [ Thorsten Alteholz ]
  * debian/rules get-orig-source: put orig.tar.gz in ../tarballs to allow
    automatic build with svn-buildpackage

  [ Mathieu Malaterre ]
  * Remove fixup_tpl patch, applied upstream.
  * Improve Surf Seg IOD

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Sun, 26 Feb 2012 20:53:28 +0100

=== debian/rules ===
--- 
+++ 
@@ -120,6 +120,11 @@
 	mv $(UPSTREAM_SRC) $(DEBIAN_SRC_DIR)
 	GZIP="--best --no-name" tar czf $(DEBIAN_SRC_TAR) $(DEBIAN_SRC_DIR)
 	rm -rf $(DEBIAN_SRC_DIR)
+	#
+	# put orig.tar in ../tarballs (-> default location for svn-buildpackage)
+	mkdir -p ../tarballs
+	mv *.orig.tar.gz ../tarballs
+	mv $(UPSTREAM_SRC).tar.bz2 ../tarballs
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install configure

## dicom3tools 1.0~20120305

=== debian/changelog ===
dicom3tools (1.0~20120305-1) unstable; urgency=low

  * New release
   - remove 20_gcc4.3.patch applied upstream (partially)
   - remove configure.patch applied upstream
  * Bump Standards-Version to 3.9.3. No changes needed.
  * Use DEP-3 for patches

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Fri, 09 Mar 2012 16:12:57 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Mathieu Malaterre <mathieu.malaterre@gmail.com>
 Priority: extra
 Build-Depends: debhelper (>= 8), xutils-dev, libx11-dev, libxext-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/dicom3tools/trunk/
 Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/dicom3tools/trunk/
 Homepage: http://www.dclunie.com/dicom3tools.html

## dicom3tools 1.0~20120505

=== debian/changelog ===
dicom3tools (1.0~20120505-1) unstable; urgency=low

  * New upstream.
   - Adding lots of private attributes
  * Remove dccp. Closes: #667575
  * Fix jpegdump. Closes: #668629

 -- Mathieu Malaterre <malat@debian.org>  Sun, 20 May 2012 19:02:30 +0200

dicom3tools (1.0~20120402-1) unstable; urgency=low

  * New upstream
   - add more private attribute
   - improve legacy multi-frame conversion 
  * Remove DMUA flag, not required aymore
  * Use my @d.o alias

 -- Mathieu Malaterre <malat@debian.org>  Wed, 04 Apr 2012 15:17:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: dicom3tools
 Section: graphics
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-DM-Upload-Allowed: yes
-Uploaders: Mathieu Malaterre <mathieu.malaterre@gmail.com>
+Uploaders: Mathieu Malaterre <malat@debian.org>
 Priority: extra
 Build-Depends: debhelper (>= 8), xutils-dev, libx11-dev, libxext-dev
 Standards-Version: 3.9.3

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 DEBIAN_SRC_TAR = dicom3tools_$(VER_FULL).orig.tar.gz
 
 ifneq (,$(findstring regression_testing_dicom,$(MM_BUILD_OPTIONS)))
-DCLIST = -name andump\* -o -name dccp\* -o -name dcintro\* -o -name rawtodc\* -o -name pdftodc\* -o -name rawnjl2\* -o -name ancreate\* -o -name dcencap\* -o -name dccp\* -o -name dctoraw\* -o -name dcjpeg\* -o -name dcmulti\* -o -name dcuncat\* -o -name pnmtodc\* -o -name dcjls\* -o -name dcj2k\* -o -name dcunjpeg\* -o -name dcunjls\* -o -name bmpdump\* -o -name jpegdump\* -o -name dcdirdmp\* -o -name dcdump\* -o -name dcentvfy\* -o -name dcfile\* -o -name dchist\* -o -name dciodvfy\* -o -name dckey\* -o -name dcsort\* -o -name dcsrdump\* -o -name dcstats\* -o -name dctable\* -o -name dctopgm8\* -o -name dcposn\* -o -name dctopgx\* -o -name dctopnm\* -o -name pgxtodc\* -o -name pnmtodc\* -o -name rawftodc\* -o -name rawtodc\*
+DCLIST = -name andump\* -o -name dcsmpte\* -o -name dccp\* -o -name dcintro\* -o -name pdftodc\* -o -name rawnjl2\* -o -name ancreate\* -o -name dcencap\* -o -name dctoraw\* -o -name dcjpeg\* -o -name dcmulti\* -o -name dcuncat\* -o -name pnmtodc\* -o -name dcjls\* -o -name dcj2k\* -o -name dcunjpeg\* -o -name dcunjls\* -o -name bmpdump\* -o -name jpegdump\* -o -name dcdirdmp\* -o -name dcdump\* -o -name dcentvfy\* -o -name dcfile\* -o -name dchist\* -o -name dciodvfy\* -o -name dckey\* -o -name dcsort\* -o -name dcsrdump\* -o -name dcstats\* -o -name dctable\* -o -name dctopgm8\* -o -name dcposn\* -o -name dctopgx\* -o -name dctopnm\* -o -name pgxtodc\* -o -name rawftodc\* -o -name rawtodc\*
 ifneq (,$(filter default_uid_root=%,$(MM_BUILD_OPTIONS)))
 DEFAULTUIDROOT = $(patsubst default_uid_root=%,%,$(filter default_uid_root=%,$(MM_BUILD_OPTIONS)))
 IMAKEFLAGS = -DDefaultUIDRoot=$(DEFAULTUIDROOT)

## dicom3tools 1.0~20121227

=== debian/changelog ===
dicom3tools (1.0~20121227-1) unstable; urgency=low

  * New upstream
  * Switch Std-Vers to 3.9.4, no changes needed
  * Use upstream bzip2 tarball directly
  * Fix dcj2k with no option (lossless was lossy)
  * Add CPPFLAGS to compilation. Closes: #678328

 -- Mathieu Malaterre <malat@debian.org>  Wed, 09 Jan 2013 11:50:45 +0100

dicom3tools (1.0~20120911-1) unstable; urgency=low

  * New upstream
    - Add support for DICOS
  * Fix issues with the new SCImage family

 -- Mathieu Malaterre <malat@debian.org>  Thu, 11 Oct 2012 09:38:38 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Mathieu Malaterre <malat@debian.org>
 Priority: extra
-Build-Depends: debhelper (>= 8), xutils-dev, libx11-dev, libxext-dev
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9), xutils-dev, libx11-dev, libxext-dev, dpkg-dev (>= 1.16.1~)
+Standards-Version: 3.9.4
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/dicom3tools/trunk/
 Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/dicom3tools/trunk/
 Homepage: http://www.dclunie.com/dicom3tools.html

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,9 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
 
-DPKG_EXPORT_BUILDFLAGS = 1
 -include /usr/share/dpkg/buildflags.mk
+CFLAGS+=$(CPPFLAGS)
+CXXFLAGS+=$(CPPFLAGS)
 
 VER_MAJOR = 1
 VER_MINOR = 0
@@ -30,14 +31,14 @@
 	find . -name \*.awk -exec sed -i -e 's@/dev/tty@/dev/stderr@g' {} \;
 	# Add here commands to configure the package.
 	sh Configure
-	imake -I./config -DTmpPath=/tmp -DOptimizeLevel=$(OPT_FLAGS) $(IMAKEFLAGS)
+	imake -I./config -DTmpPath=/tmp -DOptimizeLevel=-O2 $(IMAKEFLAGS)
 	touch configure-stamp
 
 build: build-stamp
 build-stamp: configure-stamp
 	dh_testdir
 	# Add here commands to compile the package.
-	$(MAKE) World "C_DEBUGFLAGS=$(CFLAGS)" "CPLUSPLUS_DEBUGFLAGS=$(CFLAGS)"
+	$(MAKE) World C_DEBUGFLAGS="$(CFLAGS)" CPLUSPLUS_DEBUGFLAGS="$(CXXFLAGS)" C_EXTRA_LOAD_FLAGS="$(LDFLAGS)" CPLUSPLUS_EXTRA_LOAD_FLAGS="$(LDFLAGS)"
 	touch $@
 
 clean:
@@ -112,19 +113,8 @@
 	dh_md5sums
 	dh_builddeb
 
-$(UPSTREAM_SRC).tar.bz2:
-	wget http://www.dclunie.com/dicom3tools/workinprogress/$@
-
-get-orig-source: $(UPSTREAM_SRC).tar.bz2
-	tar xjf $(UPSTREAM_SRC).tar.bz2
-	mv $(UPSTREAM_SRC) $(DEBIAN_SRC_DIR)
-	GZIP="--best --no-name" tar czf $(DEBIAN_SRC_TAR) $(DEBIAN_SRC_DIR)
-	rm -rf $(DEBIAN_SRC_DIR)
-	#
-	# put orig.tar in ../tarballs (-> default location for svn-buildpackage)
-	mkdir -p ../tarballs
-	mv *.orig.tar.gz ../tarballs
-	mv $(UPSTREAM_SRC).tar.bz2 ../tarballs
+get-orig-source:
+	uscan --verbose --force-download --rename --destdir ../tarballs
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install configure

## dicom3tools 1.00~20130623

=== debian/changelog ===
dicom3tools (1.00~20130623-2) unstable; urgency=low

  * Add dcunrgb (+Depends: netpbm)
  * Fix other.tpl dict

 -- Mathieu Malaterre <malat@debian.org>  Fri, 05 Jul 2013 09:58:29 +0200

dicom3tools (1.00~20130623-1) unstable; urgency=low

  * New upstream
  * Include latest Supps + CPs

 -- Mathieu Malaterre <malat@debian.org>  Thu, 04 Jul 2013 08:18:31 +0200

dicom3tools (1.00~20130322-1) unstable; urgency=low

  * New upstream
  * Use proposed d/watch (Thanks Bart Martens)

 -- Mathieu Malaterre <malat@debian.org>  Fri, 31 May 2013 16:16:21 +0200

dicom3tools (1.0~20130226-2) unstable; urgency=low

  * New upstream
  * Fix issue with PBM/PPM conversion

 -- Mathieu Malaterre <malat@debian.org>  Thu, 28 Feb 2013 13:55:53 +0100

dicom3tools (1.0~20130220b-1) experimental; urgency=low

  * New upstream
  * Add code for Sup 162 (SCOORD3D)

 -- Mathieu Malaterre <malat@debian.org>  Fri, 22 Feb 2013 09:46:12 +0100

dicom3tools (1.0~20130210b-1) experimental; urgency=low

  * New upstream
  * Add support for WSI and 3D US. Closes: #670536

 -- Mathieu Malaterre <malat@debian.org>  Mon, 11 Feb 2013 10:14:14 +0100

## dicom3tools 1.00~20131005

=== debian/changelog ===
dicom3tools (1.00~20131005-1) unstable; urgency=low

  * New upstream
  * Fix compilation issues with clang

 -- Mathieu Malaterre <malat@debian.org>  Tue, 08 Oct 2013 17:37:51 +0200

dicom3tools (1.00~20130914-1) unstable; urgency=low

  * New upstream
  * Add recent CPs corrections

 -- Mathieu Malaterre <malat@debian.org>  Tue, 17 Sep 2013 17:04:54 +0200

## dicom3tools 1.00~20140105

=== debian/changelog ===
dicom3tools (1.00~20140105-1) unstable; urgency=low

  * New upstream
  * Update private attributes + New CPs

 -- Mathieu Malaterre <malat@debian.org>  Mon, 13 Jan 2014 14:04:13 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 Package: dicom3tools
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, netpbm
 Suggests: dcmtk, libgdcm-tools, pvrg-jpeg
 Description: DICOM medical image files manipulation and conversion tools
  Command line utilities for creating, modifying, dumping and validating

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 CXXFLAGS+=$(CPPFLAGS)
 
 VER_MAJOR = 1
-VER_MINOR = 0
+VER_MINOR = 00
 VER_PATCH = $(shell dpkg-parsechangelog | grep '^Version' | cut -d' ' -f2 | cut -f1 -d- | cut -f2 -d~)
 UPSTREAM_SRC = dicom3tools_1.00.snapshot.$(VER_PATCH)
 
@@ -15,13 +15,13 @@
 DEBIAN_SRC_TAR = dicom3tools_$(VER_FULL).orig.tar.gz
 
 ifneq (,$(findstring regression_testing_dicom,$(MM_BUILD_OPTIONS)))
-DCLIST = -name andump\* -o -name dcsmpte\* -o -name dccp\* -o -name dcintro\* -o -name pdftodc\* -o -name rawnjl2\* -o -name ancreate\* -o -name dcencap\* -o -name dctoraw\* -o -name dcjpeg\* -o -name dcmulti\* -o -name dcuncat\* -o -name pnmtodc\* -o -name dcjls\* -o -name dcj2k\* -o -name dcunjpeg\* -o -name dcunjls\* -o -name bmpdump\* -o -name jpegdump\* -o -name dcdirdmp\* -o -name dcdump\* -o -name dcentvfy\* -o -name dcfile\* -o -name dchist\* -o -name dciodvfy\* -o -name dckey\* -o -name dcsort\* -o -name dcsrdump\* -o -name dcstats\* -o -name dctable\* -o -name dctopgm8\* -o -name dcposn\* -o -name dctopgx\* -o -name dctopnm\* -o -name pgxtodc\* -o -name rawftodc\* -o -name rawtodc\*
+DCLIST = -name andump\* -o -name dcsmpte\* -o -name dccp\* -o -name dcintro\* -o -name pdftodc\* -o -name rawnjl2\* -o -name ancreate\* -o -name dcencap\* -o -name dctoraw\* -o -name dcjpeg\* -o -name dcmulti\* -o -name dcuncat\* -o -name pnmtodc\* -o -name dcjls\* -o -name dcj2k\* -o -name dcunjpeg\* -o -name dcunjls\* -o -name bmpdump\* -o -name jpegdump\* -o -name dcdirdmp\* -o -name dcdump\* -o -name dcentvfy\* -o -name dcfile\* -o -name dchist\* -o -name dciodvfy\* -o -name dckey\* -o -name dcsort\* -o -name dcsrdump\* -o -name dcstats\* -o -name dctable\* -o -name dctopgm8\* -o -name dcposn\* -o -name dctopgx\* -o -name dctopnm\* -o -name pgxtodc\* -o -name rawftodc\* -o -name rawtodc\* -o -name dcunrgb\*
 ifneq (,$(filter default_uid_root=%,$(MM_BUILD_OPTIONS)))
 DEFAULTUIDROOT = $(patsubst default_uid_root=%,%,$(filter default_uid_root=%,$(MM_BUILD_OPTIONS)))
 IMAKEFLAGS = -DDefaultUIDRoot=$(DEFAULTUIDROOT)
 endif
 else
-DCLIST = -name andump\* -o -name jpegdump\* -o -name dcdirdmp\* -o -name dcdump\* -o -name dcentvfy\* -o -name dcfile\* -o -name dchist\* -o -name dciodvfy\* -o -name dckey\* -o -name dcsort\* -o -name dcsrdump\* -o -name dcstats\* -o -name dctable\* -o -name dctopgm8\* -o -name dcposn\* -o -name dctopgx\* -o -name dctopnm\*
+DCLIST = -name andump\* -o -name jpegdump\* -o -name dcdirdmp\* -o -name dcdump\* -o -name dcentvfy\* -o -name dcfile\* -o -name dchist\* -o -name dciodvfy\* -o -name dckey\* -o -name dcsort\* -o -name dcsrdump\* -o -name dcstats\* -o -name dctable\* -o -name dctopgm8\* -o -name dcposn\* -o -name dctopgx\* -o -name dctopnm\* -o -name dcunrgb\*
 endif
 
 configure: configure-stamp

## dicom3tools 1.00~20140527121828

=== debian/changelog ===
dicom3tools (1.00~20140527121828-1) unstable; urgency=low

  * New upstream, use new numbering convention
  * Remove patch applied upstream:
    - fixkdu.patch
    - fixupdict.patch

 -- Mathieu Malaterre <malat@debian.org>  Tue, 03 Jun 2014 21:03:52 +0200

dicom3tools (1.00~20140306-1) unstable; urgency=low

  * New upstream
  * Bump to Std-Vers 3.9.5, no changes needed
  * Reduce dependency, move to Recommends instead
  * Remove unrelated Suggests

 -- Mathieu Malaterre <malat@debian.org>  Mon, 10 Mar 2014 11:21:32 +0100

## dicom3tools 1.00~20140902075059

=== debian/changelog ===
dicom3tools (1.00~20140902075059-1) unstable; urgency=low

  * New upstream
  * Handle large Pixel Data (>2Gb)

 -- Mathieu Malaterre <malat@debian.org>  Thu, 04 Sep 2014 09:52:31 +0200

=== debian/control ===
Source: dicom3tools
Section: graphics
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Mathieu Malaterre <malat@debian.org>
Priority: extra
Build-Depends: debhelper (>= 9), xutils-dev, libx11-dev, libxext-dev, dpkg-dev (>= 1.16.1~)
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/dicom3tools/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/dicom3tools/trunk/
Homepage: http://www.dclunie.com/dicom3tools.html

Package: dicom3tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: netpbm
Suggests: pvrg-jpeg
Description: DICOM medical image files manipulation and conversion tools
 Command line utilities for creating, modifying, dumping and validating
 files of DICOM attributes. Support conversion of some proprietary medical
 image formats to DICOM. Can handle older ACR/NEMA format data, and some
 proprietary versions of that such as SPI.

## dicom3tools 1.00~20150717110018

=== debian/changelog ===
dicom3tools (1.00~20150717110018-1) unstable; urgency=medium

  * New upstream version
  * Add myself to Uploaders
  * Priority: optional
  * cme fix dpkg-control
  * DEP5 copyright
  * debian/rules: short dh

 -- Andreas Tille <tille@debian.org>  Sun, 19 Jul 2015 12:51:57 +0200

=== debian/control ===
Source: dicom3tools
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Mathieu Malaterre <malat@debian.org>,
           Andreas Tille <tille@debian.org>
Section: graphics
Priority: optional
Build-Depends: debhelper (>= 9),
               xutils-dev,
               libx11-dev,
               libxext-dev,
               dpkg-dev (>= 1.16.1~)
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/dicom3tools/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/dicom3tools/trunk/
Homepage: http://www.dclunie.com/dicom3tools.html

Package: dicom3tools
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: netpbm
Suggests: pvrg-jpeg
Description: DICOM medical image files manipulation and conversion tools
 Command line utilities for creating, modifying, dumping and validating
 files of DICOM attributes. Support conversion of some proprietary medical
 image formats to DICOM. Can handle older ACR/NEMA format data, and some
 proprietary versions of that such as SPI.

## dicom3tools 1.00~20151213160232

=== debian/changelog ===
dicom3tools (1.00~20151213160232-2) unstable; urgency=medium

  * d/control: update VCS entries

 -- Gert Wollny <gw.fossdev@gmail.com>  Thu, 07 Jan 2016 23:57:32 +0100

dicom3tools (1.00~20151213160232-1) unstable; urgency=medium

  * New upstream version 
  * Add patch dckey_mayhem.patch Closes: #715786
  * Add patch dctable_mayhem.patch Closes: #715809
  * Add patch dckey_mayhem.patch Closes: #715811
  * d/control: Add Gert Wollny to uploaders 
  * d/copyright: Update copyright year of original source, add Gert 
    to d/* copyrights. 

 -- Gert Wollny <gw.fossdev@gmail.com>  Thu, 17 Dec 2015 13:15:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dicom3tools
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Mathieu Malaterre <malat@debian.org>,
-           Andreas Tille <tille@debian.org>
+           Andreas Tille <tille@debian.org>,
+	   Gert Wollny <gw.fossdev@gmail.com>
 Section: graphics
 Priority: optional
 Build-Depends: debhelper (>= 9),
@@ -10,8 +11,8 @@
                libxext-dev,
                dpkg-dev (>= 1.16.1~)
 Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/dicom3tools/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/dicom3tools/trunk/
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/dicom3tools.git
+Vcs-Git: git://anonscm.debian.org/debian-med/dicom3tools.git 
 Homepage: http://www.dclunie.com/dicom3tools.html
 
 Package: dicom3tools

## dicom3tools 1.00~20160610072711

=== debian/changelog ===
dicom3tools (1.00~20160610072711-1) unstable; urgency=medium

  * Add d/gbp.conf
  * Imported Upstream version 1.00~20160610072711

 -- Gert Wollny <gw.fossdev@gmail.com>  Tue, 21 Jun 2016 16:51:58 +0000

dicom3tools (1.00~20160516104835-2) unstable; urgency=medium

  * d/control: Add dependency on gawk to fix FTBFS on non-english 
    locale

 -- Gert Wollny <gw.fossdev@gmail.com>  Fri, 27 May 2016 07:23:02 +0000

dicom3tools (1.00~20160516104835-1) unstable; urgency=medium

  * Imported Upstream version 1.00~20160516104835
  * d/control: cme fix dpkg-control 

 -- Gert Wollny <gw.fossdev@gmail.com>  Fri, 20 May 2016 07:18:04 +0000

dicom3tools (1.00~20160402132920-1) unstable; urgency=medium

  * New upstream version
  * d/p: remove patch dctopgm8_mayhem.patch because it no longer apllies.
  * d/p: remove dctable_mayhem.patch because this is now handled correctly
  * d/p: remove dckey_mayhem.patch because this is now handled correctly
  * d/control: Update to new standards version 3.9.7

 -- Gert Wollny <gw.fossdev@gmail.com>  Thu, 14 Apr 2016 11:29:51 +0000

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,17 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Mathieu Malaterre <malat@debian.org>,
            Andreas Tille <tille@debian.org>,
-	   Gert Wollny <gw.fossdev@gmail.com>
+           Gert Wollny <gw.fossdev@gmail.com>
 Section: graphics
 Priority: optional
 Build-Depends: debhelper (>= 9),
+               gawk, 
                xutils-dev,
                libx11-dev,
-               libxext-dev,
-               dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.6
+               libxext-dev
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/dicom3tools.git
-Vcs-Git: git://anonscm.debian.org/debian-med/dicom3tools.git 
+Vcs-Git: https://anonscm.debian.org/git/debian-med/dicom3tools.git
 Homepage: http://www.dclunie.com/dicom3tools.html
 
 Package: dicom3tools

## dicom3tools 1.00~20170109062447

=== debian/changelog ===
dicom3tools (1.00~20170109062447-1) unstable; urgency=medium

  * New upstream version

 -- Gert Wollny <gewo@debian.org>  Wed, 11 Jan 2017 11:35:48 +0000

dicom3tools (1.00~20161218101718-1) unstable; urgency=medium

  * re-upload to unstable

 -- Gert Wollny <gewo@debian.org>  Tue, 10 Jan 2017 14:01:35 +0000

dicom3tools (1.00~20161218101718-1~exp1) experimental; urgency=medium

  * New upstream version 1.00~20161218101718
  * d/control: Update maintainer email address for Gert Wollny

 -- Gert Wollny <gewo@debian.org>  Mon, 09 Jan 2017 08:29:01 +0000

dicom3tools (1.00~20160721064406-1) unstable; urgency=medium

  * Imported Upstream version 1.00~20160721064406
  * d/p/reproducable: Add reproducible patch, Closes: #834779

 -- Gert Wollny <gw.fossdev@gmail.com>  Wed, 24 Aug 2016 07:31:52 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Mathieu Malaterre <malat@debian.org>,
            Andreas Tille <tille@debian.org>,
-           Gert Wollny <gw.fossdev@gmail.com>
+           Gert Wollny <gewo@debian.org>
 Section: graphics
 Priority: optional
 Build-Depends: debhelper (>= 9),

## dicom3tools 1.00~20170222075252

=== debian/changelog ===
dicom3tools (1.00~20170222075252-1) unstable; urgency=medium

  * Upload to unstable

 -- Gert Wollny <gewo@debian.org>  Mon, 19 Jun 2017 22:51:27 +0000

dicom3tools (1.00~20170222075252-1~exp1) experimental; urgency=medium

  [ Mathieu Malaterre ]
  * d/control Remove self from Uploaders

  [ Gert Wollny ]
  * New upstream version 1.00~20170222075252

 -- Gert Wollny <gewo@debian.org>  Sat, 04 Mar 2017 10:35:03 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: dicom3tools
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Mathieu Malaterre <malat@debian.org>,
-           Andreas Tille <tille@debian.org>,
+Uploaders: Andreas Tille <tille@debian.org>,
            Gert Wollny <gewo@debian.org>
 Section: graphics
 Priority: optional

## dicom3tools 1.00~20171209092658

=== debian/changelog ===
dicom3tools (1.00~20171209092658-1) unstable; urgency=medium

  * New upstream version 1.00~20171209092658
  * d/control: Bump standards to 4.1.2 (no changes)

 -- Gert Wollny <gewo@debian.org>  Sun, 07 Jan 2018 16:33:39 +0100

dicom3tools (1.00~20171115151618-1) unstable; urgency=medium

  * New upstream version 1.00~20171115151618
  * d/control: Update standards to 4.1.1 (no changes)

 -- Gert Wollny <gewo@debian.org>  Mon, 27 Nov 2017 18:37:30 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                xutils-dev,
                libx11-dev,
                libxext-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.2
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/dicom3tools.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/dicom3tools.git
 Homepage: http://www.dclunie.com/dicom3tools.html

## dicom3tools 1.00~20180401144051

=== debian/changelog ===
dicom3tools (1.00~20180401144051-1) unstable; urgency=medium

  * New upstream version 1.00~20180401144051
  * d/control: fix urls and standards version (no changes needed)
  * d/copyright: use https in url
  * d/p/codeblocks..: Fix order of entries (cme)
  * s/p: Remove unused patches

 -- Gert Wollny <gewo@debian.org>  Sat, 19 May 2018 10:59:33 +0200

## dicom3tools 1.00~20180803063840

=== debian/changelog ===
dicom3tools (1.00~20180803063840-1) unstable; urgency=medium

  [Gert Wollny] 
  * New upstream version 1.00~20180803063840
  * d/.gitlab-ci.yml: add CI file

  [Jelmer Vernooĳ]
  * Trim trailing whitespace.
  * Move CI file into the correct place

 -- Gert Wollny <gewo@debian.org>  Sun, 28 Oct 2018 17:59:53 +0100

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Section: graphics
 Priority: optional
 Build-Depends: debhelper (>= 9),
-               gawk, 
+               gawk,
                xutils-dev,
                libx11-dev,
                libxext-dev
-Standards-Version: 4.1.2
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/dicom3tools.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/dicom3tools.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/med-team/dicom3tools
+Vcs-Git: https://salsa.debian.org/med-team/dicom3tools.git
 Homepage: http://www.dclunie.com/dicom3tools.html
 
 Package: dicom3tools

## dicom3tools 1.00~20190724083540

=== debian/changelog ===
dicom3tools (1.00~20190724083540-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:38:14 +0100

dicom3tools (1.00~20190724083540-1) unstable; urgency=medium

  * New upstream version 1.00~20190724083540

 -- Gert Wollny <gewo@debian.org>  Tue, 01 Oct 2019 08:54:35 +0200

=== debian/watch ===
version=3
opts=dversionmangle=s/^(1\.0)(~\d{8})/$10$2/,uversionmangle=s/(\d)\.snapshot\.(\d{8})/$1~$2/ \
http://www.dclunie.com/dicom3tools/workinprogress/ \
(?:.*/|)dicom3tools[\-\._](\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## dicom3tools 1.00~20211009110822

=== debian/changelog ===
dicom3tools (1.00~20211009110822-1~bpo11+1) bullseye-backports; urgency=medium

  * Team upload.
  * Rebuild for bullseye-backports.

 -- Mathieu Malaterre <malat@debian.org>  Tue, 23 Nov 2021 09:45:31 +0100

dicom3tools (1.00~20211009110822-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.00~20211009110822. Closes: #994400
  * d/watch: Fix URL so that uscan can download again

 -- Mathieu Malaterre <malat@debian.org>  Wed, 17 Nov 2021 16:00:47 +0100

dicom3tools (1.00~20190724083540-2) unstable; urgency=medium

  * Team upload.

  [ Etienne Mollier <etienne.mollier@mailoo.org>
  * Added dcintro to the DCLIST
    Closes: #815628

  [ Andreas Tille ]
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Drop useless get-orig-source target (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.

 -- Etienne Mollier <etienne.mollier@mailoo.org>  Fri, 17 Apr 2020 17:18:17 +0200

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,16 @@
            Gert Wollny <gewo@debian.org>
 Section: graphics
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 12),
                gawk,
                xutils-dev,
                libx11-dev,
                libxext-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/dicom3tools
 Vcs-Git: https://salsa.debian.org/med-team/dicom3tools.git
-Homepage: http://www.dclunie.com/dicom3tools.html
+Homepage: https://www.dclunie.com/dicom3tools.html
+Rules-Requires-Root: no
 
 Package: dicom3tools
 Architecture: any

## dicom3tools 1.00~20220120135102

=== debian/changelog ===
dicom3tools (1.00~20220120135102-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.00~20220120135102
  * d/control: Bump Std-Vers to 4.6.0 no changes needed

 -- Mathieu Malaterre <malat@debian.org>  Mon, 24 Jan 2022 08:29:12 +0100

=== debian/control ===
Source: dicom3tools
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>, Gert Wollny <gewo@debian.org>
Section: graphics
Priority: optional
Build-Depends: debhelper-compat (= 12),
               gawk,
               libx11-dev,
               libxext-dev,
               xutils-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/med-team/dicom3tools
Vcs-Git: https://salsa.debian.org/med-team/dicom3tools.git
Homepage: https://www.dclunie.com/dicom3tools.html
Rules-Requires-Root: no

Package: dicom3tools
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: netpbm
Suggests: pvrg-jpeg
Description: DICOM medical image files manipulation and conversion tools
 Command line utilities for creating, modifying, dumping and validating
 files of DICOM attributes. Support conversion of some proprietary medical
 image formats to DICOM. Can handle older ACR/NEMA format data, and some
 proprietary versions of that such as SPI.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

-include /usr/share/dpkg/buildflags.mk
CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)

VER_MAJOR = 1
VER_MINOR = 00
VER_PATCH = $(shell dpkg-parsechangelog | grep '^Version' | cut -d' ' -f2 | cut -f1 -d- | cut -f2 -d~)
UPSTREAM_SRC = dicom3tools_1.00.snapshot.$(VER_PATCH)

VER_FULL = $(VER_MAJOR).$(VER_MINOR)~$(VER_PATCH)
DEBIAN_SRC_DIR = dicom3tools-$(VER_FULL)
DEBIAN_SRC_TAR = dicom3tools_$(VER_FULL).orig.tar.gz

ifneq (,$(findstring regression_testing_dicom,$(MM_BUILD_OPTIONS)))
DCLIST = -name andump\* -o -name dcsmpte\* -o -name dccp\* -o -name dcintro\* -o -name pdftodc\* -o -name rawnjl2\* -o -name ancreate\* -o -name dcencap\* -o -name dctoraw\* -o -name dcjpeg\* -o -name dcmulti\* -o -name dcuncat\* -o -name pnmtodc\* -o -name dcjls\* -o -name dcj2k\* -o -name dcunjpeg\* -o -name dcunjls\* -o -name bmpdump\* -o -name jpegdump\* -o -name dcdirdmp\* -o -name dcdump\* -o -name dcentvfy\* -o -name dcfile\* -o -name dchist\* -o -name dciodvfy\* -o -name dckey\* -o -name dcsort\* -o -name dcsrdump\* -o -name dcstats\* -o -name dctable\* -o -name dctopgm8\* -o -name dcposn\* -o -name dctopgx\* -o -name dctopnm\* -o -name pgxtodc\* -o -name rawftodc\* -o -name rawtodc\* -o -name dcunrgb\*
ifneq (,$(filter default_uid_root=%,$(MM_BUILD_OPTIONS)))
DEFAULTUIDROOT = $(patsubst default_uid_root=%,%,$(filter default_uid_root=%,$(MM_BUILD_OPTIONS)))
IMAKEFLAGS = -DDefaultUIDRoot=$(DEFAULTUIDROOT)
endif
else
DCLIST = -name andump\* -o -name jpegdump\* -o -name dcdirdmp\* -o -name dcdump\* -o -name dcentvfy\* -o -name dcfile\* -o -name dchist\* -o -name dcintro\* -o -name dciodvfy\* -o -name dckey\* -o -name dcsort\* -o -name dcsrdump\* -o -name dcstats\* -o -name dctable\* -o -name dctopgm8\* -o -name dcposn\* -o -name dctopgx\* -o -name dctopnm\* -o -name dcunrgb\*
endif

%:
	dh $@

override_dh_auto_configure:
	# http://www.gnu.org/manual/gawk/html_node/Special-FD.html
	find . -name \*.awk -exec sed -i -e 's@/dev/tty@/dev/stderr@g' {} \;
	sh Configure
	imake -I./config -DTmpPath=/tmp -DOptimizeLevel=-O2 $(IMAKEFLAGS)

override_dh_auto_build:
	$(MAKE) World C_DEBUGFLAGS="$(CFLAGS)" CPLUSPLUS_DEBUGFLAGS="$(CXXFLAGS)" C_EXTRA_LOAD_FLAGS="$(LDFLAGS)" CPLUSPLUS_EXTRA_LOAD_FLAGS="$(LDFLAGS)"

override_dh_installman:
	$(MAKE) DESTDIR=$(CURDIR)/debian/dicom3tools install.man
	# remove empty man page
	find $(CURDIR)/debian/dicom3tools -type f -size 0 -print | xargs rm
	# Move the special .so (groff source file to /usr/share/dicom3tools to please lintian
	mkdir -p $(CURDIR)/debian/dicom3tools/usr/share/dicom3tools
	mv $(CURDIR)/debian/dicom3tools/usr/share/man/man1/*.so $(CURDIR)/debian/dicom3tools/usr/share/dicom3tools
	# Let's use the new file location:
	find $(CURDIR)/debian/dicom3tools/usr/share/man/man1 -type f -exec sed -i -e 's@.so man1@.so ../dicom3tools@g' {} \;
	# Cannot start a line with a . (it is a macro)
	# http://www.mail-archive.com/groff@gnu.org/msg04712.html
	find $(CURDIR)/debian/dicom3tools/usr/share/man/man1 -type f -exec sed -i -e 's/^\.\.\.$$/\\\&\.\.\./g' {} \;
	#  a newline character is not allowed in an escape name / a space character is not allowed in an escape name
	find $(CURDIR)/debian/dicom3tools/usr/share/man/man1 -type f -exec sed -i -e 's/\\n/\\/g' {} \;
	# hyphen-used-as-minus-sign
	#find $(CURDIR)/debian/dicom3tools/usr/share/man/man1 -type f -exec sed -i -e 's/-/\\-/g' {} \;
	# Can't use above -> manpage-has-bad-whatis-entry
	# Remove (except special list from official upstream releases) :
	find $(CURDIR)/debian/dicom3tools/usr/bin -type f -not \( $(DCLIST) \) -print | xargs rm;
	find $(CURDIR)/debian/dicom3tools/usr/share/man -type f -not \( $(DCLIST) \) -print | xargs rm;

override_dh_install:
	dh_install
	# now that we have removed empty man page, we need to remove associated binaries
	for file in ancp andiff antodc.all binpatch dcanon dcburn dccmp dccomb dcdecmpr dcdiff dclutburn \
							dclutmix dcmvhier.8only dcmvhier.all dcortho dcostosr dcpost dcproj dcrmsfx.all \
							dcsrmrg dcsub dcswab dcunjpeg.all dumptiff dumpwhat gentodc.dat.all \
							jpegsplit pbmswbit pgmtobmp pnmpred pqsplit rawarith rawdiff rawmask; do \
		find $(CURDIR)/debian/dicom3tools -type f -name $$file\* -print | xargs rm; \
	done
	# Remove all static lib
	rm -rf $(CURDIR)/debian/dicom3tools/usr/lib

override_dh_installchangelogs:
	dh_installchangelogs CHANGES

=== debian/watch ===
version=3
opts=dversionmangle=s/^(1\.0)(~\d{8})/$10$2/,uversionmangle=s/(\d)\.snapshot\.(\d{8})/$1~$2/ \
http://www.dclunie.com/dicom3tools/workinprogress/index.html \
(?:.*/|)dicom3tools[\-\._](\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## dicom3tools 1.00~20220618093127

=== debian/changelog ===
dicom3tools (1.00~20220618093127-2) unstable; urgency=medium

  [ Mohammed Bilal ]
  * Team upload.
  * Add autopkgtests
  * Install example data
  * Add copyright for test data
  * routine-update: Packaging update
  * routine-update: debhelper-compat 13
  * routine-update: watch file standard 4

  [ Andreas Tille ]
  * Delete debian/.gitlab-ci.yml
  * Delete debian/gbp.conf

 -- Mohammed Bilal <mdbilal@disroot.org>  Mon, 27 Jun 2022 12:02:56 +0200

dicom3tools (1.00~20220618093127-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.00~20220618093127
  * d/control: Bump Std-Vers to 4.6.1 no changes needed

 -- Mathieu Malaterre <malat@debian.org>  Fri, 24 Jun 2022 10:09:31 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Uploaders: Andreas Tille <tille@debian.org>, Gert Wollny <gewo@debian.org>
 Section: graphics
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                gawk,
                libx11-dev,
                libxext-dev,
                xutils-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/dicom3tools
 Vcs-Git: https://salsa.debian.org/med-team/dicom3tools.git
 Homepage: https://www.dclunie.com/dicom3tools.html
